Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.validators.impl
Class Chapter4XmlValidatorImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.validators.impl.Chapter4XmlValidatorImpl

All Implemented Interfaces:
  Chapter4XmlValidator, ConfigurationModuleBootstrap.ModuleBootstrapHook, Serializable

    public class Chapter4XmlValidatorImpl

extends Object
implements Chapter4XmlValidator, ConfigurationModuleBootstrap.ModuleBootstrapHook

implementation of the `Chapter4XmlValidator`. its should be configured ( hardcoded in method getXsdFileLocationForXmlObject ) for each XmlObject in chapterIV

See Also:
  Serialized Form

Field Summary
`static Map<Class,String>` | `XSD_FILE_LOCATION_FOR_CLASS_MAP`

Constructor Summary
`Chapter4XmlValidatorImpl()`

Method Summary
`void` | `bootstrap()`
`void` | `validate(Object xmlObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSD_FILE_LOCATION_FOR_CLASS_MAP

    public static final Map<Class,String> XSD_FILE_LOCATION_FOR_CLASS_MAP

Constructor Detail

### Chapter4XmlValidatorImpl

    public Chapter4XmlValidatorImpl()

Method Detail

### validate

    public void validate(Object xmlObject)
                  throws TechnicalConnectorException,
                         ChapterIVBusinessConnectorException

  Specified by:
    `validate` in interface `Chapter4XmlValidator`
  Throws:
    `ChapterIVBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.businessconnector.chapterIV.validators.Chapter4XmlValidator#validate(be.cin.io.unsealed.medicaladvisoragreement.consult.v1.Request)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.